<?php
  /*************啊树给我写的*******************/
	function wp_register_ashu( $before = '<li>', $after = '</li>', $echo = true ) {
	
	        if ( ! is_user_logged_in() ) {
	                if ( get_option('users_can_register') )
	                        $link = $before . '<a class="regBtn" href="' . site_url('wp-login.php?action=register', 'login') . '">' . __('Register') . '</a>' . $after;
	                else
	                        $link = '';
	        } else {
	                $link = $before . '<a   class="regBtn" href="' . admin_url() . '">' . __('Site Admin') . '</a>' . $after;
	        }
	
	        if ( $echo )
	                echo apply_filters('register', $link);
	        else
	                return apply_filters('register', $link);
	}

?>